/* ============================================================================= */
/* alert แจ้งเตือน */
/* ============================================================================= */



body * {
    font-family: "Prompt", serif;
}


span[data-notify="title"] b::after {
    content: ""; /* สร้างคอนเทนต์ว่าง */
    display: inline-block; /* ให้แสดงเป็นบล็อกอินไลน์ */
    width: 0; /* กำหนดความกว้างเป็นศูนย์ */
    height: 0; /* กำหนดความสูงเป็นศูนย์ */
    visibility: hidden; /* ทำให้ไม่สามารถมองเห็นได้ */
}

/* เพื่อป้องกันการแสดงผลที่ผิดพลาดในกรณีอื่น */
span[data-notify="title"] b {
    display: inline-flex; 
}

[data-notify="title"]:after {
    content: none;
}

.alert-danger{
    border-radius: 25px;
    background: #FFF;
    border: #FFF;
    box-shadow: 0px 4px 50px 0px rgba(0, 0, 0, 0.06);
}
.alert-warning{
    border-radius: 25px;
    background: #FFF;
    border: #FFF;
    box-shadow: 0px 4px 50px 0px rgba(0, 0, 0, 0.06);
}
.alert-success{
    border-radius: 25px;
    background: #FFF;
    border: #FFF;
    box-shadow: 0px 4px 50px 0px rgba(0, 0, 0, 0.06);
}

/* .glass-effect {
    background: rgba(0, 114, 188, 0.253);
    backdrop-filter: blur(10px); 
    
  } */

  .glass-effect {
    position: relative;
    background: 
      radial-gradient(circle at 65% 40%, rgba(0, 113, 188, 0.212) 0%, transparent 30%),
      radial-gradient(circle at 35% 70%, rgba(255, 194, 80, 0.158) 0%, transparent 30%);
    backdrop-filter: blur(10px);
  }


.card-signin {
  background: rgba(255, 255, 255, 0.46);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(9.2px);
  -webkit-backdrop-filter: blur(9.2px);
}

  .form-control {
    height: 40px;
  }

  .text-signin-style {
    color: #333333;
    font-weight: 500;
  }

  label {
    margin-bottom: 0px;
  }

  .text-label-style {
    color: #858585;
    font-weight: 300;
  }
  .btn-primary {
    background-color: #0072BC;
  }
  .btn-primary:hover {
    background-color: #0385db;
  }

  .icon-view-password {
    width: 20px; 
    height: 20px; 
    position: absolute; 
    top:39px; 
    right: 30px;
  }